# Visualization
TKV2d
AIS2D

# AIS2D_ListIteratorOfListOfIO Class Reference

`#include <AIS2D_ListIteratorOfListOfIO.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS2D_ListIteratorOfListOfIO ()
Standard_EXPORT | AIS2D_ListIteratorOfListOfIO (const AIS2D_ListOfIO &L)
Standard_EXPORT void | Initialize (const AIS2D_ListOfIO &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_AIS2D_InteractiveObject & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_ListIteratorOfListOfIO::AIS2D_ListIteratorOfListOfIO | ( |  | ) |

Standard_EXPORT AIS2D_ListIteratorOfListOfIO::AIS2D_ListIteratorOfListOfIO | ( | const AIS2D_ListOfIO & | L | ) |

## Member Function Documentation

Standard_EXPORT void AIS2D_ListIteratorOfListOfIO::Initialize | ( | const AIS2D_ListOfIO & | L | ) |

Standard_Boolean AIS2D_ListIteratorOfListOfIO::More | ( |  | ) | const

Standard_EXPORT void AIS2D_ListIteratorOfListOfIO::Next | ( |  | ) |

void AIS2D_ListIteratorOfListOfIO::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS2D_ListIteratorOfListOfIO::operator new | ( | size_t | size | ) | `[inline]`

void* AIS2D_ListIteratorOfListOfIO::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_AIS2D_InteractiveObject& AIS2D_ListIteratorOfListOfIO::Value | ( |  | ) | const

## Field Documentation

Standard_Address AIS2D_ListIteratorOfListOfIO::current `[private]`

Standard_Address AIS2D_ListIteratorOfListOfIO::previous `[private]`

The documentation for this class was generated from the following file:

- AIS2D_ListIteratorOfListOfIO.hxx